scala.tools.nsc.transform.patmat.MatchApproximation.MatchApproximator

# TreeMakersToProps

#### class TreeMakersToProps extends AnyRef

Source
  MatchAnalysis.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TreeMakersToPropsIgnoreNullChecks
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TreeMakersToProps
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TreeMakersToProps(root: Global.Symbol)

### Type Members

1. #### abstract class TreeMakerToProp extends (MatchApproximator.TreeMaker) ⇒ MatchApproximator.Prop

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TreeMakersToProps to any2stringadd[TreeMakersToProps] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TreeMakersToProps, B)

   Implicit information
     This member is added by an implicit conversion from TreeMakersToProps to ArrowAssoc[TreeMakersToProps] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def approximateMatch(cases: List[List[MatchApproximator.TreeMaker]], treeMakerToProp: TreeMakerToProp = conservative): collection.immutable.List[collection.immutable.List[Test]]

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### final def binderToUniqueTree(b: Global.Symbol): MatchApproximator.Tree

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### object conservative extends TreeMakerToProp

11. #### def ensuring(cond: (TreeMakersToProps) ⇒ Boolean, msg: ⇒ Any): TreeMakersToProps

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to Ensuring[TreeMakersToProps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (TreeMakersToProps) ⇒ Boolean): TreeMakersToProps

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to Ensuring[TreeMakersToProps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): TreeMakersToProps

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to Ensuring[TreeMakersToProps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): TreeMakersToProps

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to Ensuring[TreeMakersToProps] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to StringFormat[TreeMakersToProps] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### val fullRewrite: PartialFunction[MatchApproximator.TreeMaker, MatchApproximator.Prop]

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### def onUnknown(handler: (MatchApproximator.TreeMaker) ⇒ MatchApproximator.Prop): TreeMakerToProp

    Annotations
      @inline()

27. #### val refutableRewrite: PartialFunction[MatchApproximator.TreeMaker, MatchApproximator.Prop]

28. #### val root: Global.Symbol

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### def unique(t: MatchApproximator.Tree, tpOverride: MatchApproximator.Type = NoType): MatchApproximator.Tree

32. #### def uniqueEqualityProp(testedPath: MatchApproximator.Tree, rhs: MatchApproximator.Tree): MatchApproximator.Prop

33. #### def uniqueNonNullProp(testedPath: MatchApproximator.Tree): MatchApproximator.Prop

34. #### def uniqueTp(tp: MatchApproximator.Type): MatchApproximator.Type

35. #### def uniqueTypeProp(testedPath: MatchApproximator.Tree, pt: MatchApproximator.Type): MatchApproximator.Prop

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (TreeMakersToProps, B)

    Implicit information
      This member is added by an implicit conversion from TreeMakersToProps to ArrowAssoc[TreeMakersToProps] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TreeMakersToProps to any2stringadd[TreeMakersToProps]

### Inherited by implicit conversion StringFormat from TreeMakersToProps to StringFormat[TreeMakersToProps]

### Inherited by implicit conversion Ensuring from TreeMakersToProps to Ensuring[TreeMakersToProps]

### Inherited by implicit conversion ArrowAssoc from TreeMakersToProps to ArrowAssoc[TreeMakersToProps]

### Ungrouped